#
# spec file for package gnome-logs
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-logs
Version:        3.20.1
Release:        1.1
Summary:        GNOME System Log Viewer
License:        GPL-3.0+
Group:          System/Utilities
Url:            https://wiki.gnome.org/Design/Apps/SystemLog
Source:         http://download.gnome.org/sources/gnome-logs/3.20/%{name}-%{version}.tar.xz
BuildRequires:  gtk-doc
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50.0
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0) >= 2.39.90
BuildRequires:  pkgconfig(glib-2.0) >= 2.43.90
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.3
BuildRequires:  pkgconfig(libsystemd)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A utility for viewing detailed event logs for the system.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file -r org.gnome.Logs GTK GNOME System Monitor

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%doc %{_datadir}/help/C/gnome-logs/
%{_bindir}/%{name}
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Logs.appdata.xml
%{_datadir}/applications/org.gnome.Logs.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.gschema.xml
# Own non-standard dirs
%dir %{_datadir}/icons/hicolor/512x512
%dir %{_datadir}/icons/hicolor/512x512/apps
%{_datadir}/icons/hicolor/*/apps/gnome-logs*
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_datadir}/dbus-1/services/org.gnome.Logs.service

%files lang -f %{name}.lang

%changelog
* Tue Apr 12 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Scrolling in the details view.
  + Updated translations.
* Tue Mar  1 2016 sckang@suse.com
- Update to version 3.19.91:
  + Use a different export icon.
  + Improve error handling.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Updated AppData file.
  + Add context to shortcuts window strings.
  + Updated translations.
* Mon Jan 18 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + Fix test error in tests/test-gl-util.c.
  + Updated translations.
* Sat Dec 19 2015 damjanovic.ivo@gmail.com
- Update to version 3.19.3:
  + Show seconds in details view and exported logs.
  + Set default icon from Arnaud Bonatti.
  + Avoid double frees on journal errors.
  + Use GtkShortcutsWindow.
  + Updated translations.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.2:
  + Improve startup time.
  + Add full log text as tooltip for each row.
  + Fix CSS class name typo in details view.
  + Updated translations.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.1:
  + Search string tokenization crash fix.
  + Simple log export.
  + Single boot item menu fix.
  + Log view permissions warning.
  + Clickable Support link.
  + Updated translations.
* Tue Oct 13 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Fix for crash when searching.
  + Fix display of boots when there is only one.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep  2 2015 dimstar@opensuse.org
- Update to version 3.17.91:
  + Boot selection UI improvements.
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Update list box row behavior after GTK+ change.
  + Monospace font for all log view text, and alignement fixes.
  + Boolean search combinations.
  + Updated translations.
* Thu Jul 23 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + View events from different boots.
  + Support for searching using journal fields.
  + Updated translations.
* Fri Jun 26 2015 zaitor@opensuse.org
- Update to version 3.17.3:
  + Single-line three-column log event view.
  + Updated translations.
* Fri May 29 2015 antoine.belvire@laposte.net
- Add %%glib2_gsettings_schema_{post,postun} to update glib schema
  database after installation and uninstallation.
* Tue May 26 2015 zaitor@opensuse.org
- Update to version 3.17.2:
  + Update journal dependency to libsystemd.
  + Updated translations.
- Replace pkgconfig(libsystemd-journal) for pkgconfig(libsystemd)
  following upstream changes.
* Mon May 11 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Port to G_DECLARE_FINAL_TYPE.
  + Dogtail installed test.
  + CSS provider simplification.
  + Fix for variable initialization.
* Mon May 11 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Install a symbolic application icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + fix timestamp comparison test.
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Added on-demand loading of journal entries.
  + Updated translations.
* Wed Feb 18 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Port to GListModel.
  + Extensive refactoring of the journal query code.
  + Mark the application as busy when reading from the journal.
  + Unit test for timestamp comparison.
  + Updated translations.
* Fri Jan 23 2015 zaitor@opensuse.org
- Update to version 3.15.4:
  + Preliminary asynchronous querying of the journal.
  + Updated translations.
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 3.15.3:
  + An option for the sort order of the event list.
  + Updated translations.
* Fri Nov 28 2014 zaitor@opensuse.org
- Update to version 3.15.2:
  + Only show the categories list when relevant.
  + Substitute binary path in service file correctly.
  + Add elements to AppData to fix validation.
  + Updated translations.
* Tue Nov 18 2014 zaitor@opensuse.org
- Update to version 3.15.1:
  + Coverity warning fix.
  + Enhanced systemd message catalog parsing and display.
  + Updated translations.
- Own Hicontrast icon dirs, and run macros for icons in
  post/postun.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Substitute binary path in service file correctly.
  + Add elements to AppData to fix validation.
  + Updated translations.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Validate AppData XML with appstream-glib instead of
    appdata-tools.
  + Translatable application name in desktop file.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Add extra Utilities category to the desktop file.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Add licenses to AppData description.
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Increase category list padding.
  + Use new GtkApplication appmenu resource handling.
  + Match desktop file name in AppData.
  + Avoid deprecated xalign property.
  + Use GtkIconTheme RTL support.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.3:
  + Fix warnings.
- Changes from version 3.13.2:
  + Use widget GtkBuilder templates for the event detail view.
  + Avoid using deprecated GtkMisc.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.13.1:
  + Add a D-Bus service file and make the application D-Bus
    activatable.
  + Avoid some deprecated GTK+ API.
  + Updated translations.
- Update name in update-desktop-file following upstream changes.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Add F1 accelerator for help action.
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Add Utility category to the desktop file.
  + Updated translations.
* Tue Mar  4 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Several keyboard navigation improvements.
  + --version command-line argument support.
  + Mallard help.
  + Updated translations.
- Add yelp-tools BuildRequires: new dependency for Mallard help.
* Wed Feb 19 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Batch loading of journal items so that the UI remains
    responsive.
  + Show a Help item in the application menu.
  + Validate the desktop file during make check.
  + Updated translations.
* Tue Feb  4 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + Show application icon if a corresponding desktop file is found.
  + Show priority, kernel device and audit session in details view.
  + Hide unimplemented UI labels.
  + Updated translations.
* Mon Jan 27 2014 dimstar@opensuse.org
- Drop gnome-common BuildRequires and call to aclocal: the latest
  tarball has been built with a recent enough version of appdata
  tools.
- Drop appdata-tools BuildRequires: no longer needed, as upstream
  takes care of valudating appdata.xml files now.
- Add gtk-doc BuildRequires: required in order to build the man
  pages. It was implicit to gnome-common before.
* Mon Jan 27 2014 zaitor@opensuse.org
- Update to version 3.11.3:
  + Validate AppData during distcheck.
  + Add man page.
  + Add icon.
  + Updated translations.
- Add hicolor-icon-theme and update-desktop-files BuildRequires,
  and add corresponding macros to post/postun.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Add and validate AppData.
  + Load log events for the current category only.
  + Show log events from the current boot only.
  + Pretty timestamp formats.
  + Updated translations.
- Add appdata-tools BuildRequires: needed to validate the appdata
  file.
- Add gnome-common BuildRequires and call aclocal --install, in
  order to ensure a recent enough appdata.m4 is being used. When
  the tarball was created, appdata.m4 did not use --nonet yet and
  in turn required internet access.
* Sat Nov  2 2013 zaitor@opensuse.org
- Update to version 3.11.1:
  + Support case-insensitive search.
  + Show timestamps against messages in the event view.
  + Use a monospace font for log messages.
  + Use a single header bar.
  + Switch the default category to "important" and match the
    mockups.
  + Refactor code to read messages from the journal.
  + .desktop file fix.
  + Show the message catalog entry for a message in the details
    view.
  + RTL and style fixes.
  + Category switching fix.
  + Many other fixes.
  + Updated translations.
- Add Recommends for lang package, and add required macros for
  building language package to pick up the new translations.
* Mon Sep 30 2013 dimstar@opensuse.org
- Initial package, version 0.1.
